tigase.xmpp.impl

## Class PresenceCapabilitiesManager

- java.lang.Object
- - tigase.xmpp.impl.PresenceCapabilitiesManager

-     public class PresenceCapabilitiesManager
      extends Object

  Class description
  Version:
    Enter version here..., 13/02/16
  Author:
    Enter your name here...

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `PresenceCapabilitiesManager.PresenceCapabilitiesListener` Interface description

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PresenceCapabilitiesManager()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String[]` | `getNodeFeatures(String capsNode)` Method description
    `static Set<String>` | `getNodesWithFeature(String feature)`
    `static void` | `handlePresence(JID owner, JID from, String[] capsNodes, Queue<Packet> results)` Method description
    `static void` | `prepareCapsQueries(JID compJid, JID to, String[] caps_nodes, Queue<Packet> results)` Method description
    `static void` | `prepareCapsQueriesEl(JID compJid, JID to, String[] caps_nodes, Queue<Element> results)` Method description
    `static Packet` | `prepareCapsQuery(JID to, JID from, String node)` Method description
    `static Element` | `prepareCapsQueryEl(JID to, JID from, String node)` Method description
    `static void` | `processCapsQueryResponse(Packet packet)` Method description
    `static String[]` | `processPresence(Element c)` Method description
    `static String[]` | `processPresence(JID compJid, Packet p, Queue<Packet> results)` Method description
    `static void` | `registerPresenceHandler(PresenceCapabilitiesManager.PresenceCapabilitiesListener handler)` Method description
    `static void` | `setNodeFeatures(String capsNode, String[] features)` Method description
    `static void` | `unregisterPresenceHandler(PresenceCapabilitiesManager.PresenceCapabilitiesListener handler)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PresenceCapabilitiesManager

          public PresenceCapabilitiesManager()

  - ### Method Detail

    - #### setNodeFeatures

          public static void setNodeFeatures(String capsNode,
                                             String[] features)

      Method description
      Parameters:
        `capsNode` -
        `features` -

    - #### getNodeFeatures

          public static String[] getNodeFeatures(String capsNode)

      Method description
      Parameters:
        `capsNode` -

    - #### getNodesWithFeature

          public static Set<String> getNodesWithFeature(String feature)

    - #### processPresence

          public static String[] processPresence(Element c)

      Method description
      Parameters:
        `c` -

    - #### prepareCapsQueries

          public static void prepareCapsQueries(JID compJid,
                                                JID to,
                                                String[] caps_nodes,
                                                Queue<Packet> results)

      Method description
      Parameters:
        `compJid` -
        `to` -
        `caps_nodes` -
        `results` -

    - #### prepareCapsQueriesEl

          public static void prepareCapsQueriesEl(JID compJid,
                                                  JID to,
                                                  String[] caps_nodes,
                                                  Queue<Element> results)

      Method description
      Parameters:
        `compJid` -
        `to` -
        `caps_nodes` -
        `results` -

    - #### processPresence

          public static String[] processPresence(JID compJid,
                                                 Packet p,
                                                 Queue<Packet> results)

      Method description
      Parameters:
        `compJid` -
        `p` -
        `results` -

    - #### prepareCapsQuery

          public static Packet prepareCapsQuery(JID to,
                                                JID from,
                                                String node)

      Method description
      Parameters:
        `to` -
        `from` -
        `node` -

    - #### prepareCapsQueryEl

          public static Element prepareCapsQueryEl(JID to,
                                                   JID from,
                                                   String node)

      Method description
      Parameters:
        `to` -
        `from` -
        `node` -

    - #### processCapsQueryResponse

          public static void processCapsQueryResponse(Packet packet)

      Method description
      Parameters:
        `packet` -

    - #### handlePresence

          public static void handlePresence(JID owner,
                                            JID from,
                                            String[] capsNodes,
                                            Queue<Packet> results)

      Method description
      Parameters:
        `owner` -
        `from` -
        `capsNodes` -
        `results` -

    - #### registerPresenceHandler

          public static void registerPresenceHandler(PresenceCapabilitiesManager.PresenceCapabilitiesListener handler)

      Method description
      Parameters:
        `handler` -

    - #### unregisterPresenceHandler

          public static void unregisterPresenceHandler(PresenceCapabilitiesManager.PresenceCapabilitiesListener handler)

      Method description
      Parameters:
        `handler` -

Copyright © 2022 "Tigase, Inc.". All rights reserved.